Loading...
Searching...
No Matches
sdbus::function_traits_base< ReturnType, Args > Struct Template Reference

## Classes

struct | arg

## Public Types

using | result_type = ReturnType
using | arguments_type = std::tuple<Args...>
using | decayed_arguments_type = std::tuple<std::decay_t<Args>...>
using | function_type = ReturnType (Args...)
template<size_t Idx>
using | arg_t = typename arg<Idx>::type

## Static Public Attributes

static constexpr std::size_t | arity = sizeof...(Args)

The documentation for this struct was generated from the following file:

- include/sdbus-c++/TypeTraits.h